//  RCode16k
//  Copyright (C)
//
//  RReport@Confluencia.netb
//  All rights reserved
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - Redistribution of this ( or a modified version) source code is prohibited. You may only redistribute compiled versions.
//  - You may redistribute the compiled version as part of your application, not a new java component with the same purpose as this one.
//  - You may not remove this notice from the source code
//  - This notice disclaim all warranties of all material


package com.java4less.rcode16k;
import java.awt.*;
import java.applet.*;


public class RCode16kApplet extends Applet
{

	public RCode16k BC=null;


	public RCode16kApplet() {


		this.setLayout(new java.awt.BorderLayout());


	}



	public void start() {

		BC.paint(this.getGraphics());
	}

	
	public void setParameter(String p,String v) { 
		BC.setParameter(p,v);
	}
	
	public void refresh() {
                BC.paint(BC.getGraphics());
		        this.paintAll(this.getGraphics());
	}

	public void init() {
		// create bar code 1D
		if (BC==null) BC=new RCode16k();

        this.add("Center",BC);


		if (this.getParameter("N")!=null) this.setParameter("N",this.getParameter("N"));
		if (this.getParameter("ROTATE")!=null) this.setParameter("ROTATE",this.getParameter("ROTATE"));
		if (this.getParameter("X")!=null) this.setParameter("X",this.getParameter("X"));		
		if (this.getParameter("RESOLUTION")!=null) this.setParameter("RESOLUTION",this.getParameter("RESOLUTION"));		
		if (this.getParameter("LEFT_MARGIN")!=null) this.setParameter("LEFT_MARGIN",this.getParameter("LEFT_MARGIN"));		
		if (this.getParameter("TOP_MARGIN")!=null) this.setParameter("TOP_MARGIN",this.getParameter("TOP_MARGIN"));				
		if (this.getParameter("BAR_COLOR")!=null) this.setParameter("BAR_COLOR",this.getParameter("BAR_COLOR"));		
		if (this.getParameter("BAR_HEIGHT")!=null) this.setParameter("BAR_HEIGHT",this.getParameter("BAR_HEIGHT"));		
		if (this.getParameter("BACK_COLOR")!=null) this.setParameter("BACK_COLOR",this.getParameter("BACK_COLOR"));
		if (this.getParameter("BARCODE")!=null) this.setParameter("BARCODE",this.getParameter("BARCODE"));
		if (this.getParameter("MODE")!=null) this.setParameter("MODE",this.getParameter("MODE"));								
		
	}

	

}
