package com.java4less.rcode16k;
//  RCode16k
//  Copyright (C)
//
//  RReport@Confluencia.net
//  All rights reservedse
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - You may not copy and paste any code into external files.
//  - Redistribution of this ( or a modified version) source code is prohibited. You may only redistribute compiled versions.
//  - You may redistribute the compiled version as part of your application, not a new java component with the same purpose as this one.
//  - You may not remove this notice from the source code
//  - This notice disclaim all warranties of all material


import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.awt.Graphics2D.*;
import com.java4less.rcode16k.encoder.*;
import java.awt.*;
import java.util.*;

	public class RCode16kServlet  extends HttpServlet
    {


  public static void main(String[] a) {

  }

        /**
         * Handle the HTTP POST method by sending an e-mail
         *
         *
         */

	    public void init() throws ServletException  {

	    }

       // read paramters form request an create barcode
       public RCode16k getBarcode (HttpServletRequest request) {

       	  RCode16k cb=new RCode16k();

          int width=500;
          int height=500;


          if (request.getParameter("WIDTH")!=null)
           if (request.getParameter("WIDTH").compareTo("")!=0) width=Integer.parseInt(request.getParameter("WIDTH"));


          if (request.getParameter("HEIGHT")!=null)
           if (request.getParameter("HEIGHT").compareTo("")!=0) height=Integer.parseInt(request.getParameter("HEIGHT"));

         cb.setSize(width,height);


          if (request==null) return cb;

		  // set all parameters
		  Enumeration ns=request.getParameterNames();
		  while (ns.hasMoreElements()) {
			  String n=(String) ns.nextElement();

			  cb.setParameter(n,request.getParameter(n));
		  }


          return cb;


       }

       // Handle a request
       // 1. create barcode
       // 2. draw barcode in a Buffered Image
       // 3. encode image as GIF or JPEG and send it to the browser
        public void doGet (HttpServletRequest request,
                	   HttpServletResponse response)
        throws ServletException, IOException
        {
               PrintWriter		out;
               ServletOutputStream outb;

               response.setContentType("image/jpeg");

		//out=response.getWriter();
		outb=response.getOutputStream();

                // avoid caching in browser
		response.setHeader ("Pragma", "no-cache");
		response.setHeader ("Cache-Control", "no-cache");
		response.setDateHeader ("Expires",0);

                // get BarCode
                RCode16k cb=getBarcode(request);

               try { // Create buffer

		java.awt.image.BufferedImage BarImage=new java.awt.image.BufferedImage(cb.getPreferredSize().width,cb.getPreferredSize().height,java.awt.image.BufferedImage.TYPE_INT_RGB);
		java.awt.Graphics2D BarGraphics=BarImage.createGraphics();

		cb.setSize(cb.getPreferredSize());

		cb.paint(BarGraphics);


                // create JPEG image
                com.sun.image.codec.jpeg.JPEGImageEncoder encoder = com.sun.image.codec.jpeg.JPEGCodec.createJPEGEncoder(outb );
				encoder.encode( BarImage );

                // use this to create a gif image
                //GifEncoder encoder = new GifEncoder(BarImage,outb);
                //encoder.encode();


		} catch (Exception e) { e.printStackTrace();}

               //outb.close();

		}


        public void doPost (HttpServletRequest request,
                	   HttpServletResponse response)
        throws ServletException
        {
        try {
            doGet(request,response);
            } catch (Exception e) { e.printStackTrace();}
	}

    }


